Last Comment Bug 765226 - [New Tab Page] update pages when leaving private browsing mode
: [New Tab Page] update pages when leaving private browsing mode
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Tim Taubert [:ttaubert]
:
: Dão Gottwald [:dao]
Mentors:
Depends on: 722990
Blocks: 753448
  Show dependency treegraph
 
Reported: 2012-06-15 07:00 PDT by Tim Taubert [:ttaubert]
Modified: 2012-06-21 04:09 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
trivial patch (736 bytes, patch)
2012-06-15 07:00 PDT, Tim Taubert [:ttaubert]
no flags Details | Diff | Splinter Review

Description Tim Taubert [:ttaubert] 2012-06-15 07:00:10 PDT
Created attachment 633503 [details] [diff] [review]
trivial patch

We need to update all active about:newtab instances when leaving private browsing mode. I originally left this out intentionally as the whole session gets wiped anyway but we need this for bug 753448 which keeps an about:newtab instance alive in the background.
Comment 1 Tim Taubert [:ttaubert] 2012-06-20 02:40:59 PDT
Comment on attachment 633503 [details] [diff] [review]
trivial patch

Will be fixed by bug 722990.
Comment 2 Tim Taubert [:ttaubert] 2012-06-21 04:09:14 PDT
Fixed by bug 722990.

Note You need to log in before you can comment on or make changes to this bug.